[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Axiom-developer] aldor/axiom interoperability

From: Bill Page
Subject: Re: [Axiom-developer] aldor/axiom interoperability
Date: Fri, 14 Mar 2008 14:44:02 -0400

On 3/13/08, Gregory Vanuxem wrote:
> ...The main concern of this mail is if you are able to
> compile (attached) and _execute_ the
> LenstraEllipticMethod(Integer) function. On my system
> it fails, a bug somewhere. Am I alone with this issue ?
>  Martin ? I'm still using the old build process

Greg, you are referring to src_aldor2.tgz that relies on Java, as the
"old build process", right?

> and want to switch to the new one but this stops me.

By you "new one" you mean the new build system recently posted by
Peter in the file "src_aldor3.tgz", right? (This one no longer
requires Java.) So you are saying that you are trying to use the new
build but that there is the regression error that you are now

Is it only the build process that has changed? What other things might
be different between the version that you now works and this new one?
Are you using the same version of Axiom? What version of Aldor?

> I  do not want to take your time but maybe you have an idea
> of what's going on with this issue.
>  The output is :
>  Looking in OutputPackage() for ??349042727  with code 483270060
>  and an error message : "export not found"

On show at

using the FriCAS version of Axiom with Peter's hashcode patch and the
current open source version of Aldor, I get the following similar (but
different) error:

(1) -> )co
(1) -> LenstraEllipticMethod(99)

Looking in OutputPackage() for ??349042727  with code 483270060
   >> System error:
   FOAM-USER::|fiRaiseException| is invalid as a function.

Bill Page.

reply via email to

[Prev in Thread] Current Thread [Next in Thread]